#include <stdio.h>

int main(){
	int N, L, s=-1, a, i;
	
	scanf("%d %d", &N, &L);
	
	for(i=0;i<N;i++){
		int a;
		scanf("%d", &a);
		if(a<=L){
			s=i+1;
			break;
		}
	}
	 
	printf("%d\n",s);
	return 0;
}